# Kling V2.6 Pro Text-to-Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-kling-v2.6-pro-t2v

# Kling V2.6 Pro Text-to-Video

POST

/

v3

/

async

/

kling-v2.6-pro-t2v

Kling V2.6 Pro Text-to-Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/kling-v2.6-pro-t2v \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"sound": true,
"prompt": "&#x3C;string>",
"duration": 123,
"cfg_scale": 123,
"aspect_ratio": "&#x3C;string>",
"negative_prompt": "&#x3C;string>"
}
'
```

200

```
{
"task_id": "&#x3C;string>"
}
```

The Kling v2.6 Pro Text-to-Video tool generates high-quality dynamic videos from text prompts, with support for synchronized audio and video generation.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-sound)

sound

boolean

default:true

Whether to generate audio along with the video.

[​](#param-prompt)

prompt

string

required

Positive prompt text for video generation; max 2500 characters.

[​](#param-duration)

duration

integer

default:5

Duration of the generated media (in seconds).Optional values: `5`, `10`

[​](#param-cfg-scale)

cfg_scale

number

Controls the flexibility of video generation; higher values make the generated content adhere more closely to the prompt.Value range: [0, 1]

[​](#param-aspect-ratio)

aspect_ratio

string

default:"1:1"

Aspect ratio of the generated video.Optional values: `16:9`, `9:16`, `1:1`

[​](#param-negative-prompt)

negative_prompt

string

Negative prompt; max 2500 characters.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on January 8, 2026
